const REG_CONFIG: any = {
  MOBILE: /^1[3456789]\d{9}$/, // 手机
  TELEPHONE: /^((0\d{2,3}-\d{7,8})|(1[3584]\d{9}))$/, // 座机
  PHONE: /^(0|86|17951)?(13[0-9]|15[012356789]|166|17[3678]|18[0-9]|14[57])[0-9]{8}$/, // 联系方式
}

export function verityPhoneRule(rule: any, _value: any, callback: any) {
  if (_value !== '') {
    if (!REG_CONFIG.MOBILE.test(_value))
      callback(new Error('请输入正确的手机号码'))
    else
      callback()
  }
  else {
    callback(new Error('请输入正确的手机号码'))
  }
}

export function verityPhone(_value: any) {
  if (_value !== '') {
    if (!REG_CONFIG.MOBILE.test(_value))
      return false
    else
      return true
  }
  else {
    return false
  }
}
